DOMOUNTROOTHOOKS(9)

NAME
domountroothooks - run all mountroot hooks

SYNOPSIS
#include <sys/types.h>
#include <sys/systm.h>
void
domountroothooks(void);

DESCRIPTION
The domountroothooks() function invokes all mountroot hooks established using the mountroothook_establish(9) function. Mountroot hooks are called in order, i.e., the mountroot hook established first will be called first.

This function is called from main() with interrupts turned on. It is called immediately before the system configures its root and swap devices, but fully after all normal autoconfiguration. This can be used to let device subsystems needing delayed configuration (e.g., due to very long initialization times) still provide the root device. The I2O system, implemented by the iop(4) and ioprbs(4) drivers, is a good example.

Mountroot hooks are, like shutdown hooks, implemented via the more general dohooks(9) API.

SEE ALSO
iop(4), ioprbs(4), dohooks(9), doshutdownhooks(9), mountroothook_establish(9)